Skip to main content
`Ctrl`+`K`

# LSRD

class astropy.coordinates.LSRD(*args, copy=True, representation_type=None, differential_type=None, **kwargs)

  Bases: `BaseRADecFrame`

  A frame in the Dynamical Local Standard of Rest (LSR).

  Conceptually the dynamical LSR is a frame moving at the circular velocity at the Sun’s location. In practice, the concept of a circular velocity in a non-axisymmetric galaxy is not trivial. This LSRD frame uses the historical definition from

  > Delhaye 1965, Solar Motion and Velocity Distribution of Common Stars - Section 2.1.

  meaning the solar motion is \((U, V, W) = (9, 12, 7)~{{\rm km}}~{{\rm s}}^{{-1}}\), or 16.5 km/s towards l=53 b=25. The frame is axis-aligned and co-spatial with `ICRS`.

  Attributes Summary

  `default_differential` | Default representation for differential data (e.g., velocity)
  `default_representation` | Default representation for position data
  `frame_attributes` |
  `frame_specific_representation_info` | Mapping for frame-specific component names
  `name` |

  Attributes Documentation

  default_differential

    Default representation for differential data (e.g., velocity)

  default_representation

    Default representation for position data

  frame_attributes = {}
  frame_specific_representation_info

    Mapping for frame-specific component names

  name = 'lsrd'